Node (Tomcat API Documentation)
Keywords: org.apache.el.parser.Node interface

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.el.parser
Interface Node

All Known Implementing Classes:
  ArithmeticNode, AstAnd, AstBracketSuffix, AstChoice, AstCompositeExpression, AstDeferredExpression, AstDiv, AstDotSuffix, AstDynamicExpression, AstEmpty, AstEqual, AstFalse, AstFloatingPoint, AstFunction, AstGreaterThan, AstGreaterThanEqual, AstIdentifier, AstInteger, AstLessThan, AstLessThanEqual, AstLiteralExpression, AstMinus, AstMod, AstMult, AstNegative, AstNot, AstNotEqual, AstNull, AstOr, AstPlus, AstString, AstTrue, AstValue, BooleanNode, SimpleNode

    public interface Node

Version:
  $Change: 181177 $$DateTime: 2001/06/26 08:45:09 $$Author: markt $
Author:
  Jacob Hookom [jacob@hookom.net]

Method Summary
`void` | `accept(NodeVisitor visitor)`
`java.lang.String` | `getImage()`
`javax.el.MethodInfo` | `getMethodInfo(EvaluationContext ctx, java.lang.Class[] paramTypes)`
`java.lang.Class` | `getType(EvaluationContext ctx)`
`java.lang.Object` | `getValue(EvaluationContext ctx)`
`java.lang.Object` | `invoke(EvaluationContext ctx, java.lang.Class[] paramTypes, java.lang.Object[] paramValues)`
`boolean` | `isReadOnly(EvaluationContext ctx)`
`void` | `jjtAddChild(Node n, int i)` This method tells the node to add its argument to the node's list of children.
`void` | `jjtClose()` This method is called after all the child nodes have been added.
`Node` | `jjtGetChild(int i)` This method returns a child node.
`int` | `jjtGetNumChildren()` Return the number of children the node has.
`Node` | `jjtGetParent()`
`void` | `jjtOpen()` This method is called after the node has been made the current node.
`void` | `jjtSetParent(Node n)` This pair of methods are used to inform the node of its parent.
`void` | `setValue(EvaluationContext ctx, java.lang.Object value)`

Method Detail

### jjtOpen

    void jjtOpen()

  This method is called after the node has been made the current node. It indicates that child nodes can now be added to it.

### jjtClose

    void jjtClose()

  This method is called after all the child nodes have been added.

### jjtSetParent

    void jjtSetParent(Node n)

  This pair of methods are used to inform the node of its parent.

### jjtGetParent

    Node jjtGetParent()

### jjtAddChild

    void jjtAddChild(Node n,
                     int i)

  This method tells the node to add its argument to the node's list of children.

### jjtGetChild

    Node jjtGetChild(int i)

  This method returns a child node. The children are numbered from zero, left to right.

### jjtGetNumChildren

    int jjtGetNumChildren()

  Return the number of children the node has.

### getImage

    java.lang.String getImage()

### getValue

    java.lang.Object getValue(EvaluationContext ctx)
                              throws javax.el.ELException

  Throws:
    `javax.el.ELException`

### setValue

    void setValue(EvaluationContext ctx,
                  java.lang.Object value)
                  throws javax.el.ELException

  Throws:
    `javax.el.ELException`

### getType

    java.lang.Class getType(EvaluationContext ctx)
                            throws javax.el.ELException

  Throws:
    `javax.el.ELException`

### isReadOnly

    boolean isReadOnly(EvaluationContext ctx)
                       throws javax.el.ELException

  Throws:
    `javax.el.ELException`

### accept

    void accept(NodeVisitor visitor)
                throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### getMethodInfo

    javax.el.MethodInfo getMethodInfo(EvaluationContext ctx,
                                      java.lang.Class[] paramTypes)
                                      throws javax.el.ELException

  Throws:
    `javax.el.ELException`

### invoke

    java.lang.Object invoke(EvaluationContext ctx,
                            java.lang.Class[] paramTypes,
                            java.lang.Object[] paramValues)
                            throws javax.el.ELException

  Throws:
    `javax.el.ELException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.